-- création de la base de donnée
CREATE DATABASE etherhome DEFAULT CHARACTER SET utf8 COLLATE utf8_unicode_ci;

-- création du user de la base
grant all privileges on etherhome.* to etherhome@%%adresse_ip_web identified by 'etherhome';
flush privileges ;
use etherhome;
-- --------------------------------------------------------

--
-- Structure de la table `delegations`
--

CREATE TABLE IF NOT EXISTS `delegations` (
  `uid` varchar(255) COLLATE utf8_unicode_ci NOT NULL,
  UNIQUE KEY `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

--
-- Structure de la table `elements`
--

CREATE TABLE IF NOT EXISTS `elements` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `appli` varchar(10) NOT NULL,
  `uid` varchar(255) NOT NULL,
  `nom` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
 ) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

--
-- Structure de la table `favoris`
--

CREATE TABLE IF NOT EXISTS `favoris` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `appli` varchar(10) NOT NULL,
  `uid` varchar(255) NOT NULL,
  `url` varchar(255) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;

--
-- Table structure for table `shares`
--

CREATE TABLE IF NOT EXISTS `shares` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `appli` varchar(10) NOT NULL,
  `url` varchar(255) NOT NULL,
  `uid` varchar(255) NOT NULL COMMENT 'Le propriétaire du doc (pad, calc ou scrumblr)',
  `shareWith` varchar(255) NOT NULL,
  `shareType` smallint(6) NOT NULL COMMENT 'vaut 0 pour utilisateur, 1 pour groupe et 2 si un utilisateur à supprimer un partage pour le groupe dont il a accès',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;